org.apache.ignite.spi.tracing

## Enum SpanStatus

- java.lang.Object
- - java.lang.Enum<SpanStatus>
  - - org.apache.ignite.spi.tracing.SpanStatus

- All Implemented Interfaces:
    Serializable, Comparable<SpanStatus>

      public enum SpanStatus
      extends Enum<SpanStatus>

  Various statuses for Spans execution.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED` Aborted.
    `CANCELLED` Cancelled.
    `OK` Ok.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpanStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpanStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final SpanStatus OK

      Ok.

    - #### CANCELLED

          public static final SpanStatus CANCELLED

      Cancelled.

    - #### ABORTED

          public static final SpanStatus ABORTED

      Aborted.

  - ### Method Detail

    - #### values

          public static SpanStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpanStatus c : SpanStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpanStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021